function oald4ec(){
	oald4ec_translation();
}

function oald4ec_translation(){
	if (!document.querySelector('.oald4ec zh')) return;
	oald4ec_translation_individual();
	var oald4ec_h1=document.querySelectorAll('.oald4ec .hw, .idiom .l, .derivative .l, .phrase .l');
	for (var i=0; i<oald4ec_h1.length; ++i){
		var trans_button=document.createElement('oald4ec_trans');
		trans_button.onclick=oald4ec_translation_button;
		oald4ec_h1[i].appendChild(trans_button);
	}
}

function oald4ec_translation_individual(){
	var oald4ec_cn=document.querySelectorAll('.oald4ec zh');
	for (var i=0; i<oald4ec_cn.length; ++i){
		var trans_blank=document.createElement('oald4ec_trans_blank');
		trans_blank.onclick=oald4ec_translation_blank;
		oald4ec_cn[i].parentNode.insertBefore(trans_blank, oald4ec_cn[i]);
	}
}

function oald4ec_translation_blank(trans_blank){
	this.setAttribute('trans', '');
	this.nextSibling.setAttribute('trans', '');
}

function oald4ec_translation_button(){
	var oald4ec_cn=document.querySelectorAll('.oald4ec zh, oald4ec_trans_blank');
	var oald4ec_btns=document.getElementsByTagName('oald4ec_trans');
	if(oald4ec_btns[0].hasAttribute('trans')){
		for(var i=0; i<oald4ec_btns.length; ++i){
			oald4ec_btns[i].removeAttribute('trans');
		}
		for(var i=0; i<oald4ec_cn.length; ++i){
			oald4ec_cn[i].removeAttribute('trans');
		}
	}
	else{
		for(var i=0; i<oald4ec_btns.length; ++i){
			oald4ec_btns[i].setAttribute('trans', '');
		}
		for(var i=0; i<oald4ec_cn.length; ++i){
			oald4ec_cn[i].setAttribute('trans', '');
		}
	}
}
